RDIFFDIR(1)

NAME
rdiffdir - compute and apply signatures and diffs to directories

SYNOPSIS
rdiffdir [options] sig[nature] basis_dir signature_file

rdiffdir [options] delta signature_file new_dir delta_file

rdiffdir [options] patch basis_dir delta_file

rdiffdir [options] tar basis_dir tar_file

If signature_file or delta_file are "-", the data will be read from stdin or written to stdout as appropriate.

DESCRIPTION
rdiffdir is supposed to be like rdiff, but can operate on directories. See rdiff(1) for more information. The syntax is similar.

OPTIONS

--write-sig-to sigfile
    This option is only used in delta and tar modes. When specified, rdiffdir will write a signature of the directory it is processing to sigfile. The end result will be a delta and a new signature calculated over the same data.

-z, --gzip-compress
    Enable gzip compression and decompression of signature and delta files.

SELECTION OPTIONS

In signature and delta modes, rdiffdir accepts duplicity-like selection options including --exclude, --exclude-filelist-stdin, etc. See the duplicity(1) manual page for more information.

BUGS
Hard links are currently unsupported (they will be treated as non-linked regular files).

Bad signatures will be treated as empty instead of logging appropriate error message.

AUTHOR
Ben Escoto <bescoto@stanford.edu>

SEE ALSO
duplicity(1), python(1), rdiff(1), rdiff-backup(1).